Show only snaps in "Editor's Picks"

Bug #1705953 reported by Robert Ancell on 2017-07-23
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-software (Ubuntu)
High
Unassigned
Xenial
High
Unassigned
Zesty
High
Unassigned
Artful
High
Unassigned

Bug Description

[Impact]
The "Editor's Picks" section currently contains a mix of hard-coded values, values based on Ubuntu reviews and snaps from the "featured" snap store section. As snaps are the newest and preferred method of installing things in Ubuntu it should show only these in the order provided by snapd, falling back to the default behaviour if no snaps are found.

[Test Case]
1. Open GNOME Software
2. Look at "Editor's Picks" section

Expected result:
This section contains the snaps from the "featured" snap store section in the correct order.

Observed result:
This section contains a mix of .deb and snaps. Some snaps may not be shown due to not being able to fit them all in. The order is random (changes daily).

[Regression Potential]
Solution is to add featured snaps last after clearing the existing featured apps. GNOME Software was modified to not randomize this list. Some risk of breaking related code.

Robert Ancell (robert-ancell) wrote :

Snaps were added to this section in bug 1663097.
We are planning on making a desktop specific featured snap store section [1]. This change would ideally be included with the snap prioritization change to ensure a good section of snaps is shown.

[1] https://forum.snapcraft.io/t/create-a-featured-desktop-section-in-the-store/

Robert Ancell (robert-ancell) wrote :

The proposed solution is to sort the candidate editor's picks rather than only using snaps as this would otherwise be empty if snap support was not installed (e.g. manually uninstalled or an Ubuntu derivative using GNOME Software).

Changed in gnome-software (Ubuntu Xenial):
status: New → Triaged
Changed in gnome-software (Ubuntu Zesty):
status: New → Triaged
Changed in gnome-software (Ubuntu Artful):
status: New → Triaged
Robert Ancell (robert-ancell) wrote :

Turns out the hardcoded values are only added if there is less than 5 popular apps. This is resolved by making sure the snap plugin runs before the hardcoded plugin.

description: updated
description: updated
Robert Ancell (robert-ancell) wrote :

The version in 16.04 does not automatically remove the hardcoded values, so there will have to be a different solution. This version (3.20) also populates based on Ubuntu reviews, which is not present in 16.10 onwards.

description: updated
Robert Ancell (robert-ancell) wrote :

I've uploaded this to ppa:ubuntu-desktop/gnome-software as 3.20.5-0ubuntu0.16.04.6~ppa1. We need to wait for the 3.20.5-0ubuntu0.16.04.6 SRU to complete before this can be uploaded to xenial.

Robert Ancell (robert-ancell) wrote :

See bug 1706478 for showing a snap in the "Featured" section.

summary: - Prefer snaps in "Editor's Picks"
+ Show only snaps in "Editor's Picks"
description: updated
Robert Ancell (robert-ancell) wrote :
Changed in gnome-software (Ubuntu Xenial):
importance: Undecided → High
Changed in gnome-software (Ubuntu Zesty):
importance: Undecided → High
Changed in gnome-software (Ubuntu Artful):
importance: Undecided → High
description: updated
Brian Murray (brian-murray) wrote :

Is this fixed in Artful yet? For the SRU for Ubuntu 17.04 to be approved it must be.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.25.90-0ubuntu2

---------------
gnome-software (3.25.90-0ubuntu2) artful; urgency=medium

  * debian/patches/0003-snap-Handle-suffixes-being-added-to-banner-screensho.patch:
    - Handle suffixes on featured snap screenshots

 -- Robert Ancell <email address hidden> Mon, 21 Aug 2017 15:29:33 +1200

Changed in gnome-software (Ubuntu Artful):
status: Triaged → Fix Released

Hello Robert, or anyone else affected,

Accepted gnome-software into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-software/3.22.7-0ubuntu3.17.04.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-software (Ubuntu Zesty):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-zesty

SRU verification for Zesty:
I have reproduced the problem with gnome-software 3.22.7-0ubuntu3.17.04.5 in zesty-updates and have verified that the version of gnome-software 3.22.7-0ubuntu3.17.04.7 in -proposed fixes the issue.

Marking as verification-done

tags: added: verification-done-zesty
removed: verification-needed-zesty
Łukasz Zemczak (sil2100) wrote :

Hello Robert, or anyone else affected,

Accepted gnome-software into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-software/3.20.5-0ubuntu0.16.04.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-software (Ubuntu Xenial):
status: Triaged → Fix Committed
tags: added: verification-needed-xenial

SRU verification for Xenial:
I have reproduced the problem with gnome-software 3.20.5-0ubuntu0.16.04.5 in xenial-updates and have verified that the version of gnome-software 3.20.5-0ubuntu0.16.04.6 in -proposed fixes the issue.

Marking as verification-done

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.22.7-0ubuntu3.17.04.7

---------------
gnome-software (3.22.7-0ubuntu3.17.04.7) zesty; urgency=medium

  * debian/patches/0001-snap-Use-title-field-if-available.patch:
    - Use new title field from snapd (LP: #1555569)
  * debian/patches/0001-snap-Remove-size-limit-on-snap-responses.patch:
  * debian/patches/0002-snap-Fix-failures-to-read-from-snapd.patch:
    - Fix icons larger than 65kB not loading (LP: #1704888)
  * debian/patches/0001-snap-Mark-non-app-snaps-as-runtimes.patch:
    - Stop 'core' snap showing as an app (LP: #1704904)
  * debian/patches/0001-snap-Fix-crash-when-fail-to-use-icon-from-cache.patch:
    - Add to debian/patches/series - was not enabled in last release
  * debian/patches/0001-snap-Replace-libsoup-icon-loading-code-with-AsIcon.patch:
    - Fix crash loading cached icons (LP: #1708140)
  * debian/patches/0001-snap-Run-before-hardcoded-popular-plugin.patch:
  * debian/patches/0018-Make-gs_app_list_filter_duplicates-not-change-app-or.patch:
  * debian/patches/0019-snap-Use-first-featured-snap-as-featured-app.patch:
  * debian/patches/0020-snap-Only-feature-snaps.patch:
  * debian/patches/0021-Don-t-randomize-editors-picks.patch:
    - Only show snaps in "Editor's picks" (LP: #1705953)
    - Show snap in "Featured" section (LP: #1706478)

gnome-software (3.22.7-0ubuntu3.17.04.6) zesty; urgency=medium

  * 0001-snap-Fix-crash-when-fail-to-use-icon-from-cache.patch:
    - Fix crash when failing to load icons from cache (LP: #1702122)

 -- Robert Ancell <email address hidden> Thu, 24 Aug 2017 13:46:31 +1200

Changed in gnome-software (Ubuntu Zesty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-software has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.20.5-0ubuntu0.16.04.6

---------------
gnome-software (3.20.5-0ubuntu0.16.04.6) xenial; urgency=medium

  * debian/patches/0001-Add-gs_app_set_local_file.patch:
  * debian/patches/0017-Add-an-APT-plugin.patch:
    - Fix being unable to load .deb files (LP: #1708936)
  * debian/patches/0018-Add-a-Snap-plugin.patch:
    - Fix icons larger than 65kB not loading (LP: #1704888)
    - Stop 'core' snap showing as an app (LP: #1704904)
    - Use new title field from snapd (LP: #1555569)
  * debian/patches/0045-Don-t-generate-popular-apps-from-Ubuntu-reviews.patch:
  * debian/patches/0046-snap-Use-first-featured-snap-as-featured-app.patch
  * debian/patches/0047-snap-Only-feature-snaps.patch
  * debian/patches/0048-Don-t-randomize-editors-picks.patch
    - Only show snaps in "Editor's picks" (LP: #1705953)
    - Show snap in "Featured" section (LP: #1706478)
  * debian/patches/0049-snap-Replace-libsoup-icon-loading-code-with-AsIcon.patch
    - Fix crash loading cached icons (LP: #1708140)

 -- Robert Ancell <email address hidden> Thu, 24 Aug 2017 12:19:14 +1200

Changed in gnome-software (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers